Issue 125003

Summary: Integrate GoogleTest unit test framework for general usage in the build environment
Product: Build Tools Reporter: jsc
Component: external prerequisitesAssignee: AOO issues mailing list <issues>
Status: ACCEPTED --- QA Contact:
Severity: Normal    
Priority: P3 CC: dl-openoffice, hdu, pescetti, yury.tarasievich
Version: 4.2.0-dev   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: TASK Latest Confirmation in: ---
Developer Difficulty: ---

Description jsc 2014-05-28 08:50:17 UTC
In the past cppunit was used but it license incompatible and the tests are normally disabled. To make more use or automated unit tests executed during the normal build a new unit test framework is integrated.

After some research of available and license compatible C++ unit test frameworks, GoogleTest [1] was proposed and is now integrated for general usage. Future tasks are necessary to rework exisiting cppunit tests to make use of the new framework.

The main purpose for now is to make it useable in general and use it more concrete for a new OOXML processing framework.

[1] https://code.google.com/p/googletest/
Comment 1 SVN Robot 2014-06-02 10:57:41 UTC
"jsc" committed SVN revision 1599163 into trunk:
#125003# integrate googletest framework for general use for unit testing
Comment 2 jsc 2014-06-02 11:01:40 UTC
GoogleTest is now available and can be used. A first test in sal/qa/sal uses now gtest. 

Some basic information can be found on https://wiki.openoffice.org/wiki/Googletest. This is the place where further gtest relevant information should be collected and documented. Especially helper classes or functions that simplifies the usage of gtest should be documented there. Ideally a gtest helper lib will be created to make such helpers available over time for broader usage and global availability
Comment 3 jsc 2014-06-02 11:12:12 UTC
It is tested on Linux, Mac and Windows. Potentially further work is necessary on other platforms.
Comment 4 SVN Robot 2014-06-02 14:47:08 UTC
"jsc" committed SVN revision 1599230 into trunk:
#125003# migrate sal/qa/osl/condition to gtest
Comment 5 SVN Robot 2014-06-02 15:06:55 UTC
"jsc" committed SVN revision 1599235 into trunk:
#125003# add include for Windows
Comment 6 SVN Robot 2014-06-03 08:34:11 UTC
"jsc" committed SVN revision 1599446 into trunk:
#125003# change LIBRARY path for test run target to use local output dir
Comment 7 SVN Robot 2014-06-03 10:10:26 UTC
"hdu" committed SVN revision 1599462 into trunk:
#i125003# add gtest dependency to soltools
Comment 8 SVN Robot 2014-06-03 11:37:21 UTC
"jsc" committed SVN revision 1599480 into trunk:
#125003# remove uwinapi dependency, linked by default in g_STDLIB, no need he...
Comment 9 SVN Robot 2014-06-03 13:41:05 UTC
"hdu" committed SVN revision 1599542 into trunk:
#125003# use gtest tarball provided configure script
Comment 10 SVN Robot 2014-06-03 14:42:46 UTC
"hdu" committed SVN revision 1599586 into trunk:
#i125003# use gtest's internal tuple class for its own needs
Comment 11 SVN Robot 2014-06-04 07:47:43 UTC
"hdu" committed SVN revision 1599955 into trunk:
#i125003# sal's autotest submodule depends on sal's cpprt submodule
Comment 12 SVN Robot 2014-06-04 08:50:30 UTC
"jsc" committed SVN revision 1600014 into trunk:
#125003# add dependency for test on cpprt on unix
Comment 13 SVN Robot 2014-06-04 11:21:52 UTC
"hdu" committed SVN revision 1600106 into trunk:
#i125003# fix google-test for osl_condition in the sal module
Comment 14 jsc 2014-06-04 11:33:12 UTC
on new Linux distros we ran into errors with not proper initialized members of structs. Some missing deps to avoid problems during parallel builds ...
Comment 15 SVN Robot 2014-06-18 14:19:04 UTC
"hdu" committed SVN revision 1603457 into trunk:
#i125003# force gtest sysroot to match the AOO build on OSX
Comment 16 SVN Robot 2015-08-27 18:44:51 UTC
"damjan" committed SVN revision 1698208 into trunk:
#i125003# migrate main/codemaker from cppunit to Google Test.
Comment 17 SVN Robot 2015-08-28 03:58:58 UTC
"damjan" committed SVN revision 1698257 into trunk:
#i125003# migrate main/basegfx from cppunit to Google Test.
Comment 18 SVN Robot 2015-08-29 07:37:29 UTC
"damjan" committed SVN revision 1698441 into trunk:
#i125003# migrate main/basebmp from cppunit to Google Test.
Comment 19 SVN Robot 2015-08-29 14:23:21 UTC
"damjan" committed SVN revision 1700037 into trunk:
#i125003# add Google Test APPnTARGET_run targets for n=2..10, which commit 15...
Comment 20 SVN Robot 2015-08-29 14:29:13 UTC
"damjan" committed SVN revision 1700039 into trunk:
#i125003# migrate main/binaryurp from cppunit to Google Test.
Comment 21 SVN Robot 2015-08-29 18:39:36 UTC
"damjan" committed SVN revision 1700066 into trunk:
#i125003# migrate main/cppuhelper/qa/ifcontainer from cppunit to Google Test
Comment 22 SVN Robot 2015-08-29 19:08:32 UTC
"damjan" committed SVN revision 1700070 into trunk:
#i125003# migrate main/cppuhelper/qa/unourl from cppunit to Google Test
Comment 23 SVN Robot 2015-08-29 19:25:12 UTC
"damjan" committed SVN revision 1700072 into trunk:
#i125003# migrate main/cppuhelper/qa/ifcontainer from cppunit to Google Test,
Comment 24 SVN Robot 2015-08-30 02:16:22 UTC
"damjan" committed SVN revision 1700085 into trunk:
#i125003# migrate main/slideshow from cppunit to Google Test
Comment 25 SVN Robot 2015-08-30 08:26:14 UTC
"damjan" committed SVN revision 1700093 into trunk:
#i125003# migrate main/cppu from cppunit to Google Test and run it on every b...
Comment 26 SVN Robot 2015-08-30 08:41:14 UTC
"damjan" committed SVN revision 1700095 into trunk:
#i125003# migrate main/desktop from cppunit to Google Test
Comment 27 SVN Robot 2015-08-30 09:09:07 UTC
"damjan" committed SVN revision 1700099 into trunk:
#i125003# migrate main/o3tl from cppunit to Google Test
Comment 28 SVN Robot 2015-08-30 16:41:28 UTC
"damjan" committed SVN revision 1700138 into trunk:
#i125003# migrate main/salhelper from cppunit to Google Test
Comment 29 SVN Robot 2015-08-30 16:59:35 UTC
"damjan" committed SVN revision 1700139 into trunk:
#i125003# migrate main/sal/qa/ByteSequence from cppunit to Google Test
Comment 30 SVN Robot 2015-08-30 17:09:39 UTC
"damjan" committed SVN revision 1700140 into trunk:
#i125003# generate a non-fatal test failure in the main/sal/qa/osl/condition ...
Comment 31 SVN Robot 2015-08-30 17:35:42 UTC
"damjan" committed SVN revision 1700143 into trunk:
#i125003# migrate main/sal/qa/osl/thread from cppunit to Google Test
Comment 32 SVN Robot 2015-08-30 19:10:43 UTC
"damjan" committed SVN revision 1700153 into trunk:
#i125003# migrate main/sal/qa/rtl/uuid from cppunit to Google Test.
Comment 33 SVN Robot 2015-08-31 02:16:27 UTC
"damjan" committed SVN revision 1700184 into trunk:
#i125003# migrate main/sal/qa/rtl/uri from cppunit to Google Test.
Comment 34 SVN Robot 2015-09-01 04:57:53 UTC
"damjan" committed SVN revision 1700387 into trunk:
#i125003# migrate main/sal/qa/rtl/alloc from cppunit to Google Test.
Comment 35 SVN Robot 2015-09-01 04:59:52 UTC
"damjan" committed SVN revision 1700388 into trunk:
#i125003# migrate main/sal/qa/rtl/math from cppunit to Google Test.
Comment 36 SVN Robot 2015-09-01 05:31:37 UTC
"damjan" committed SVN revision 1700389 into trunk:
#i125003# migrate main/sal/qa/rtl/digest from cppunit to Google Test.
Comment 37 SVN Robot 2015-09-01 05:33:03 UTC
"damjan" committed SVN revision 1700390 into trunk:
#i125003# migrate main/sal/qa/rtl/crc32 from cppunit to Google Test.
Comment 38 SVN Robot 2015-09-01 16:15:24 UTC
"damjan" committed SVN revision 1700604 into trunk:
#i125003# migrate main/sal/qa/rtl/cipher from cppunit to Google Test.
Comment 39 SVN Robot 2015-09-01 16:48:25 UTC
"damjan" committed SVN revision 1700615 into trunk:
#i125003# migrate main/sal/qa/rtl/textenc from cppunit to Google Test. Some t...
Comment 40 SVN Robot 2015-09-01 16:55:05 UTC
"damjan" committed SVN revision 1700616 into trunk:
#i125003# migrate main/sal/qa/rtl/strings from cppunit to Google Test. Some t...
Comment 41 SVN Robot 2015-09-01 17:33:31 UTC
"damjan" committed SVN revision 1700624 into trunk:
#i125003# migrate main/sal/qa/rtl/random from cppunit to Google Test.
Comment 42 SVN Robot 2015-09-01 17:36:37 UTC
"damjan" committed SVN revision 1700625 into trunk:
#i125003# migrate main/sal/qa/rtl/process from cppunit to Google Test.
Comment 43 SVN Robot 2015-09-01 18:38:36 UTC
"damjan" committed SVN revision 1700637 into trunk:
#i125003# migrate main/sal/qa/rtl/logfile from cppunit to Google Test. Also f...
Comment 44 SVN Robot 2015-09-01 18:40:50 UTC
"damjan" committed SVN revision 1700638 into trunk:
#i125003# migrate main/sal/qa/rtl/locale from cppunit to Google Test.
Comment 45 SVN Robot 2015-09-01 18:43:10 UTC
"damjan" committed SVN revision 1700639 into trunk:
#i125003# migrate main/sal/qa/rtl/oustringbuffer from cppunit to Google Test.
Comment 46 SVN Robot 2015-09-02 01:39:37 UTC
"damjan" committed SVN revision 1700698 into trunk:
#i125003# migrate main/sal/qa/rtl/bootstrap from cppunit to Google Test. Many...
Comment 47 SVN Robot 2015-09-02 01:43:53 UTC
"damjan" committed SVN revision 1700699 into trunk:
#i125003# migrate main/sal/qa/rtl/doublelock from cppunit to Google Test. Als...
Comment 48 SVN Robot 2015-09-02 04:24:02 UTC
"damjan" committed SVN revision 1700702 into trunk:
#i125003# migrate main/sal/qa/rtl/ostring from cppunit to Google Test.
Comment 49 SVN Robot 2015-09-02 04:34:57 UTC
"damjan" committed SVN revision 1700704 into trunk:
#i125003# migrate main/sal/qa/rtl/oustring from cppunit to Google Test.
Comment 50 SVN Robot 2015-09-03 04:26:10 UTC
"damjan" committed SVN revision 1700929 into trunk:
#i125003# migrate main/sal/qa/OStringBuffer from cppunit to Google Test.
Comment 51 SVN Robot 2015-09-03 16:25:14 UTC
"damjan" committed SVN revision 1701062 into trunk:
#i125003# migrate main/sal/qa/testHelperFunctions from cppunit to Google Test.
Comment 52 SVN Robot 2015-09-03 17:09:01 UTC
"damjan" committed SVN revision 1701078 into trunk:
#i125003# migrate main/sal/qa/osl/mutex from cppunit to Google Test.
Comment 53 SVN Robot 2015-09-03 17:11:29 UTC
"damjan" committed SVN revision 1701079 into trunk:
#i125003# migrate main/sal/qa/osl/setthreadname from cppunit to Google Test.
Comment 54 SVN Robot 2015-09-03 17:13:35 UTC
"damjan" committed SVN revision 1701080 into trunk:
#i125003# migrate main/sal/qa/osl/profile from cppunit to Google Test.
Comment 55 SVN Robot 2015-09-03 17:35:53 UTC
"damjan" committed SVN revision 1701084 into trunk:
#i125003# migrate main/sax/qa/cppunit from cppunit to Google Test.
Comment 56 SVN Robot 2015-09-03 17:51:32 UTC
"damjan" committed SVN revision 1701088 into trunk:
#i125003# migrate main/sfx2 from cppunit to Google Test.
Comment 57 SVN Robot 2015-09-04 16:32:11 UTC
"damjan" committed SVN revision 1701288 into trunk:
#i125003# migrate main/sal/qa/osl/process from cppunit to Google Test.
Comment 58 SVN Robot 2015-09-04 18:33:15 UTC
"damjan" committed SVN revision 1701312 into trunk:
#i125003# migrate main/sal/qa/osl/module from cppunit to Google Test.
Comment 59 SVN Robot 2015-09-05 07:59:23 UTC
"damjan" committed SVN revision 1701357 into trunk:
#i125003# migrate main/sal/qa/osl/socket from cppunit to Google Test,
Comment 60 SVN Robot 2015-09-05 19:30:52 UTC
"damjan" committed SVN revision 1701419 into trunk:
#i125003# migrate main/sal/qa/osl/file from cppunit to Google Test,
Comment 61 SVN Robot 2015-09-16 18:51:52 UTC
"damjan" committed SVN revision 1703444 into trunk:
#i125003# Provide gbuild integration for Google Test. Windows, Linux and Free...
Comment 62 SVN Robot 2015-09-16 19:00:23 UTC
"damjan" committed SVN revision 1703446 into trunk:
#i125003# migrate main/sfx2 to Google Test, using gbuild for the first time.
Comment 63 SVN Robot 2015-09-20 07:37:04 UTC
"damjan" committed SVN revision 1704103 into trunk:
#i125003# migrate main/sw from cppunit to Google Test.
Comment 64 SVN Robot 2015-09-20 09:07:55 UTC
"damjan" committed SVN revision 1704112 into trunk:
#i125003# migrate main/sal/qa/systools from cppunit to Google Test.
Comment 65 SVN Robot 2015-09-20 10:33:33 UTC
"damjan" committed SVN revision 1704121 into trunk:
#i125003# migrate main/sal/qa/osl/security from cppunit to Google Test.
Comment 66 SVN Robot 2015-09-20 13:43:28 UTC
"damjan" committed SVN revision 1704132 into trunk:
#i125003# migrate main/cppuhelper/qa/propertysetmixin from cppunit to Google ...
Comment 67 SVN Robot 2015-09-20 15:35:12 UTC
"damjan" committed SVN revision 1704155 into trunk:
#i125003# migrate main/configmgr/qa/unit from cppunit to Google Test. All tes...
Comment 68 SVN Robot 2015-09-20 16:02:19 UTC
"damjan" committed SVN revision 1704156 into trunk:
#i125003# migrate main/stoc/test/uriproc from cppunit to Google Test
Comment 69 yury_t 2019-05-23 04:18:48 UTC
At some moment in the course of last 1-2 months it's got impossible to switch off unit testing (configure --disable-unit-tests) in cppuhelper module, which now wants googletest unconditionally. Was this intended?
Comment 70 truckman 2019-10-05 00:23:16 UTC
The cppuhelper bug should be fixed on the trunk branch with commit 994a157d5dd37b490eea27fa6eaaa2376a87943b and the AOO42X branch with commit 9f64cdc55ff91ab9f50f754cb408955d8a185960